Api referenceTopicIssues
Create a topic issue (Preview)
Preview · Available to selected organizations. Creates an unsaved Markdown file. The first request provisions the topic's project and layout; omit expectedRevision only for that first request or its retry.
Creates an unsaved Markdown file. The first request provisions the topic's project and layout; omit expectedRevision only for that first request or its retry. Further creates require the current revision. No template entry is registered. Requires issueContent and email.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Match
^(?!.*\\)(?!.*(?:^|\/)\.{1,2}(?:\/|$))(?!.*(?:^|\/)\.git(?:\/|$))(?!.*\p{Cc})issues\/(?:[^/]+\/)*[^/]+\.md$Length
length <= 1024content*string
idempotencyKey*string
Length
1 <= length <= 128expectedRevision?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/topics/string/issues" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "content": "string", "idempotencyKey": "string" }'{ "workspace": { "projectId": "string", "organizationId": "string", "ownerEpoch": 0, "repositoryName": "string", "defaultBranch": "string", "baseCommit": "string", "remoteHead": "string", "pendingRemoteHead": "string", "revision": "string", "overlay": { "property1": "string", "property2": "string" }, "assetChanges": [ { "path": "string", "status": "added" } ], "conflicts": [ { "path": "string", "base": "string", "draft": "string", "main": "string" } ], "provenance": { "references": [ { "kind": "string", "digest": "string", "locator": "string" } ] }, "mounts": [ { "kind": "project", "root": "/project", "access": "read-write" } ], "libraryManifestDigest": "string", "createdAt": "string", "updatedAt": "string", "createdBy": { "userId": "string", "via": "api" }, "updatedBy": { "userId": "string", "via": "api" } }, "files": { "property1": "string", "property2": "string" }}